apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  labels:
    component: jobsearch-importer
    environment: develop
    system: job-ads
    team: walrus
  name: jobsearch-importers-develop
  namespace: openshift-gitops
spec:
  destination:
    namespace: jobsearch-apis-develop
    server: https://kubernetes.default.svc
  project: walrus
  source:
    path: kustomize/overlays/develop
    repoURL: https://gitlab.com/arbetsformedlingen/job-ads/jobsearch-importers-infra.git
    targetRevision: main
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
    - CreateNamespace=false
